--[[
#include "umf.lua"
]] --
local function bool( id, invert )
	id = "savegame.mod." .. id
	invert = not invert
	return function()
		return GetBool( id ) == invert
	end
end

OptionsMenu {
	title = "Physics Gun",

	OptionsMenu.Spacer( 50 ),

	OptionsMenu.Toggle { id = "legacy", name = "Legacy Rotation", default = false },
	OptionsMenu.Slider {
		id = "rotspeed",
		name = "Rotation Speed",
		min = 0.25,
		max = 4,
		step = 0.05,
		default = 1,
		condition = bool( "legacy", true ),
	},

	OptionsMenu.Spacer( 50 ),

	OptionsMenu.Group {
		title = "Keybinds",

		OptionsMenu.Toggle { id = "key.invert", name = "Invert Mouse Buttons", default = false },
		OptionsMenu.Keybind { id = "key.rotate", name = "Rotate", default = "interact" },
		OptionsMenu.Keybind { id = "key.throw", name = "Throw", default = "r" },
		OptionsMenu.Keybind { id = "key.unfreeze", name = "Unfreeze", default = "r" },
		OptionsMenu.Keybind { id = "key.rotlock", name = "Toggle Rotation-Lock", default = "mmb", allowmouse = true, condition = bool("experimental.rotlock") },
	},

	OptionsMenu.Spacer( 50 ),

	OptionsMenu.Group {
		title = "Effects",

		OptionsMenu.Toggle { id = "effect.outline", name = "Prop Outline", default = true },
		OptionsMenu.Toggle { id = "effect.beam", name = "Beam", default = true },
		OptionsMenu.Toggle { id = "effect.freeze", name = "Freeze / Unfreeze", default = true },
		OptionsMenu.Toggle { id = "effect.tool", name = "Tool Model", default = true },
		OptionsMenu.Toggle { id = "effect.sound", name = "Sounds", default = true },
		OptionsMenu.Toggle { id = "effect.floppy", name = "Floppy Gun", default = false },
	},

	OptionsMenu.Spacer( 50 ),

	OptionsMenu.Group {
		title = "Experimental",

		OptionsMenu.Toggle { id = "experimental.constrain", name = "Use New Constraint System", default = false },
		OptionsMenu.Toggle { id = "experimental.rotlock", name = "Enable Rotation-Lock toggle", default = false },
	},
}
